from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List dashboard servicesresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?limit=50", headers={"Authorization": "Bearer your-jwt-token"})result = response.json()for svc in result["data"]: print(f"{svc['fullyQualifiedName']} ({svc['serviceType']})")# With fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.models.ListParams;import org.openmetadata.sdk.models.ListResponse;// client is an initialized OpenMetadataClient.// List first pageListResponse<DashboardService> firstPage = client.dashboardServices().list(new ListParams().setLimit(50));for (DashboardService service : firstPage.getData()) { System.out.println(service.getFullyQualifiedName());}// With fieldsListResponse<DashboardService> withFields = client.dashboardServices().list( new ListParams().setFields("owners,tags,domains").setLimit(50));
# List allcurl "{base_url}/api/v1/services/dashboardServices?limit=50" \ -H "Authorization: Bearer {access_token}"# With fieldscurl "{base_url}/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50" \ -H "Authorization: Bearer {access_token}"
List all dashboard services with optional filtering and pagination
GET
/
v1
/
services
/
dashboardServices
GET /v1/services/dashboardServices
from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List dashboard servicesresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?limit=50", headers={"Authorization": "Bearer your-jwt-token"})result = response.json()for svc in result["data"]: print(f"{svc['fullyQualifiedName']} ({svc['serviceType']})")# With fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.models.ListParams;import org.openmetadata.sdk.models.ListResponse;// client is an initialized OpenMetadataClient.// List first pageListResponse<DashboardService> firstPage = client.dashboardServices().list(new ListParams().setLimit(50));for (DashboardService service : firstPage.getData()) { System.out.println(service.getFullyQualifiedName());}// With fieldsListResponse<DashboardService> withFields = client.dashboardServices().list( new ListParams().setFields("owners,tags,domains").setLimit(50));
# List allcurl "{base_url}/api/v1/services/dashboardServices?limit=50" \ -H "Authorization: Bearer {access_token}"# With fieldscurl "{base_url}/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50" \ -H "Authorization: Bearer {access_token}"
List all dashboard services with optional filtering and pagination.
Query Parameters
integer
default:"10"
Maximum number of results to return (max: 1000000).
string
Cursor for backward pagination.
string
Cursor for forward pagination.
string
Comma-separated list of fields to include: owners, tags, domains. See Supported Fields below.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/services/dashboardServices
from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List dashboard servicesresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?limit=50", headers={"Authorization": "Bearer your-jwt-token"})result = response.json()for svc in result["data"]: print(f"{svc['fullyQualifiedName']} ({svc['serviceType']})")# With fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.models.ListParams;import org.openmetadata.sdk.models.ListResponse;// client is an initialized OpenMetadataClient.// List first pageListResponse<DashboardService> firstPage = client.dashboardServices().list(new ListParams().setLimit(50));for (DashboardService service : firstPage.getData()) { System.out.println(service.getFullyQualifiedName());}// With fieldsListResponse<DashboardService> withFields = client.dashboardServices().list( new ListParams().setFields("owners,tags,domains").setLimit(50));
# List allcurl "{base_url}/api/v1/services/dashboardServices?limit=50" \ -H "Authorization: Bearer {access_token}"# With fieldscurl "{base_url}/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50" \ -H "Authorization: Bearer {access_token}"
Returns a paginated list of dashboard service objects. By default, only basic fields are included. Use the fields parameter to request additional data.
Response
array
Array of dashboard service objects.
Show properties
string
Unique identifier for the dashboard service (UUID format).
string
Dashboard service name.
string
Fully qualified name of the service.
string
Human-readable display name.
string
Type of dashboard service, for example Superset, Looker, Tableau.
array
List of owners assigned to the service. Only included when fields contains owners.
array
Classification tags applied. Only included when fields contains tags.
array
Domain assignments for governance. Only included when fields contains domains.
object
Pagination information.
Show properties
integer
Total count of dashboard services matching the query.
string
Cursor for the next page of results. Null if this is the last page.
string
Cursor for the previous page of results. Null if this is the first page.
Supported Fields
The following fields can be requested via the fields query parameter: